Subject: Re: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Gerd Möllmann <[email-masked]>
Date: Thu, 19 Dec 2024 16:42:11 +0100

Pip Cet <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Pip Cet <[email-masked]> writes:
>>
>>> XSUBR (function)->doc should have been set by comp--register-subr (most
>>> likely), so maybe disassemble the toplevel_run function of the right
>>> .eln file...
>>>
>>>> HTH a bit.
>>>
>>> It does, thanks!
>>
>> Got a bit more (don't ask how :-)):
>
> Okay, I won't :-)
>
> I'm still not sure whether this happens while compiling or when loading.
> Can you look at the .eln file and see whether it contains a blob (string
> data in the binary) that would look like this
>
> "F782d66696c652d6469616c6f67_x_file_dialog_0" (46543 ...)
>
> or, more likely, have a much smaller integer in the list argument?

I see an "F782d66696c652d6469616c6f67_x_file_dialog_0" (29 nil nil)
ns-open-file-using-panel with strings.